ランタイム: Mix::Scene::ILocalLight Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ILocalLight Class Referenceabstract

ローカルライトインターフェース More...

`#include <ILocalLight.h>`

Inheritance diagram for Mix::Scene::ILocalLight:
[legend]
Collaboration diagram for Mix::Scene::ILocalLight:
[legend]

## Public Member Functions

virtual const Mix::Vector4 & | GetColor (void) const =0
| 色を取得します More...
virtual void | SetColor (const Mix::Vector4 &color)=0
| ライトの色を設定します More...
virtual Float32 | GetLinearAttenuation (void) const =0
| 線形減衰係数を取得します More...
virtual Float32 | GetQuadraticAttenuation (void) const =0
| 2次減衰係数を取得します More...
virtual Float32 | GetExponentAttenuation (void) const =0
| 指数減衰係数を取得します More...
virtual void | SetAttenuation (Float32 l, Float32 q, Float32 e)=0
| 減衰係数を設定します More...
virtual const Mix::Vector3 & | GetPosition (void) const =0
| 位置を取得します More...
virtual void | SetPosition (const Mix::Vector3 &pos)=0
| 位置を設定します More...
virtual void | Refresh (void)=0
| リフレッシュします More...
virtual const Mix::Geometry::Sphere & | GetBounds () const =0
| 境界を取得します More...
virtual Boolean | IsIllegal (void) const =0
| イリーガルかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::ILight
virtual Boolean | IsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ILocalLight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ILight
virtual | ~ILight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ローカルライトインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ILocalLight::~ILocalLight | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector4& Mix::Scene::ILocalLight::GetColor | ( | void |  | ) | const

pure virtual

色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::ILocalLight::SetColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

ライトの色を設定します

Parameters

  [in] | color | ライトの色を表す Mix::Vector4 クラス

virtual Float32 Mix::Scene::ILocalLight::GetLinearAttenuation | ( | void |  | ) | const

pure virtual

線形減衰係数を取得します

Returns
  線形減衰係数を返します

virtual Float32 Mix::Scene::ILocalLight::GetQuadraticAttenuation | ( | void |  | ) | const

pure virtual

2次減衰係数を取得します

Returns
  2次減衰係数を返します

virtual Float32 Mix::Scene::ILocalLight::GetExponentAttenuation | ( | void |  | ) | const

pure virtual

指数減衰係数を取得します

Returns
  指数減衰係数を返します

virtual void Mix::Scene::ILocalLight::SetAttenuation | ( | Float32 | l,
|  | Float32 | q,
|  | Float32 | e
| ) |  |

pure virtual

減衰係数を設定します

Parameters

  [in] | l | 線形減衰係数( 0.0f〜正の無限大 )
  [in] | q | 2次減衰係数( 0.0f〜正の無限大 )
  [in] | e | 指数減衰係数( 0.0f〜正の無限大 )

Note
  減衰値の式 l + q * d + e * d2 ( d=頂点からライトまでの距離 d2=d*d )

virtual const Mix::Vector3& Mix::Scene::ILocalLight::GetPosition | ( | void |  | ) | const

pure virtual

位置を取得します

Returns
  位置を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ILocalLight::SetPosition | ( | const Mix::Vector3 & | pos | ) |

pure virtual

位置を設定します

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

Note
  位置を変更した場合は、リフレッシュ( Refresh )してください。

virtual void Mix::Scene::ILocalLight::Refresh | ( | void |  | ) |

pure virtual

リフレッシュします

Note
  位置を変更した場合に実行してください。

virtual const Mix::Geometry::Sphere& Mix::Scene::ILocalLight::GetBounds | ( |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::Sphere クラスを返します

virtual Boolean Mix::Scene::ILocalLight::IsIllegal | ( | void |  | ) | const

pure virtual

イリーガルかどうかを確認します

Returns
  イリーガルな場合は True を返します

Note
  イリーガルとはシーンレンダラーの作成時の設定( Mix::Scene::RENDERER_CONFIG )にある、八分木の範囲を超えていることを表します。
  また、この状態になった場合は、位置を再設定するか、シーンレンダラーから削除することを推奨します。

The documentation for this class was generated from the following file:

- Mix/Scene/ILocalLight.h